org.modeshape.jcr.index.local

## Class IndexValues.StandardConverter<T>

- java.lang.Object
- - org.modeshape.jcr.index.local.IndexValues.StandardConverter<T>

- All Implemented Interfaces:
    IndexValues.Converter<T>
  Enclosing class:
    IndexValues

      protected static class IndexValues.StandardConverter<T>
      extends Object
      implements IndexValues.Converter<T>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexValues.StandardConverter(ValueFactory<T> factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `toLowerValue(StaticOperand operand, Map<String,Object> variables)` Create the lowest possible index key for the supplied `StaticOperand`.
    `T` | `toUpperValue(StaticOperand operand, Map<String,Object> variables)` Create the highest possible index key for the supplied `StaticOperand`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexValues.StandardConverter

          protected IndexValues.StandardConverter(ValueFactory<T> factory)

  - ### Method Detail

    - #### toLowerValue

          public T toLowerValue(StaticOperand operand,
                       Map<String,Object> variables)

      Description copied from interface: `IndexValues.Converter`
      Create the lowest possible index key for the supplied `StaticOperand`.
      Specified by:
        `toLowerValue` in interface `IndexValues.Converter<T>`
      Parameters:
        `operand` - the static operand; may be null
        `variables` - the bound variables; may not be null but may be empty
      Returns:
        the lowest/smallest possible index key; or null if the operand is null

    - #### toUpperValue

          public T toUpperValue(StaticOperand operand,
                       Map<String,Object> variables)

      Description copied from interface: `IndexValues.Converter`
      Create the highest possible index key for the supplied `StaticOperand`.
      Specified by:
        `toUpperValue` in interface `IndexValues.Converter<T>`
      Parameters:
        `operand` - the static operand; may be null
        `variables` - the bound variables; may not be null but may be empty
      Returns:
        the highest/largest possible index key; or null if the operand is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.